package com.bankaudit.process.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="audit_adhoc_report")
public class AuditAdhocReport {

	/*Table: audit_adhoc_report
	-----------------------------
	
	Column Information
	----------------------
	
	Field                   Type         Collation          Null    Key     Default            Extra           Privileges                       Comment  
	----------------------  -----------  -----------------  ------  ------  -----------------  --------------  -------------------------------  ---------
	id                      int(20)      (NULL)             NO      PRI     (NULL)             auto_increment  select,insert,update,references           
	document_id             int(20)      (NULL)             NO      MUL     (NULL)                             select,insert,update,references           
	legal_entity_code       int(2)       (NULL)             NO              (NULL)                             select,insert,update,references           
	reported_date           timestamp    (NULL)             YES             (NULL)                             select,insert,update,references           
	target_user             varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	status                  varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	entity_status           varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	maker                   varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	maker_timestamp         timestamp    (NULL)             NO              CURRENT_TIMESTAMP                  select,insert,update,references           
	checker                 varchar(20)  latin1_swedish_ci  YES             (NULL)                             select,insert,update,references           
	checker_timestamp       timestamp    (NULL)             YES             (NULL)                             select,insert,update,references           
	businessdate_timestamp  timestamp    (NULL)             YES             (NULL)                             select,insert,update,references           
	sysdate_timestamp       timestamp   */
	

	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id")
	private Integer id;
	
	@Column(name="document_id")
	private Integer documentId;

	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="document_id",insertable=false,updatable=false)
	AuditAdhocDocument auditAdhocDocument;
	
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Column(name="reported_date")
	private Date reportedDate;
	
	@Column(name="target_user")
	private String targetUser;
	
	@Column(name="status")
	private String status;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return the documentId
	 */
	public Integer getDocumentId() {
		return documentId;
	}

	/**
	 * @param documentId the documentId to set
	 */
	public void setDocumentId(Integer documentId) {
		this.documentId = documentId;
	}

	/**
	 * @return the auditAdhocDocument
	 */
	public AuditAdhocDocument getAuditAdhocDocument() {
		return auditAdhocDocument;
	}

	/**
	 * @param auditAdhocDocument the auditAdhocDocument to set
	 */
	public void setAuditAdhocDocument(AuditAdhocDocument auditAdhocDocument) {
		this.auditAdhocDocument = auditAdhocDocument;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	

	/**
	 * @return the reportedDate
	 */
	public Date getReportedDate() {
		return reportedDate;
	}

	/**
	 * @param reportedDate the reportedDate to set
	 */
	public void setReportedDate(Date reportedDate) {
		this.reportedDate = reportedDate;
	}

	/**
	 * @return the targetUser
	 */
	public String getTargetUser() {
		return targetUser;
	}

	/**
	 * @param targetUser the targetUser to set
	 */
	public void setTargetUser(String targetUser) {
		this.targetUser = targetUser;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the entityStatus
	 */
	public String getEntityStatus() {
		return entityStatus;
	}

	/**
	 * @param entityStatus the entityStatus to set
	 */
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	
}
